Summary: The Objective Caml compiler and programming environment.
Name: ocaml
Version: 2.02
Release: 4
URL: http://pauillac.inria.fr/caml/
Source0: ftp://ftp.inria.fr/lang/caml-light/ocaml-%{version}.tar.gz
Source1: ftp://ftp.inria.fr/lang/caml-light/ocaml-%{version}-refman.html.tar.gz
Source2: ftp://ftp.inria.fr/lang/caml-light/ocaml-%{version}-refman.ps.gz
#Source3: ftp://ftp.inria.fr/lang/caml-light/ocamltk41-R202.tar.gz
Patch: ocaml-%{version}-ext_prof.patch
Copyright: Distributable
Group: Development/Languages
BuildRoot: /var/tmp/ocaml-root

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of
languages. The ocaml package contains two batch compilers (a fast
bytecode compiler and an optimizing native code compiler), an
interactive toplevel system, Lex and Yacc tools, a replay debugger,
and a comprehensive library.

%package emacs
Group: Development/Tools
Summary: Emacs mode files for the Objective Caml language.
Requires: ocaml = %{version}

%description emacs
The ocaml-emacs package contains the emacs mode files for the
Objective Caml programming language.  The Objective Caml compiler and
programming environment is provided in the ocaml package.

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
#%setup -q -T -D -a 3
%patch -p0
#mv ocamltk41 otherlibs/ocamltk41
cp %{SOURCE2} refman.ps.gz

%build
./configure -bindir /usr/bin -libdir /usr/lib/ocaml -mandir /usr/man/man1 -with-pthread
make world opt ocamlc.opt ocamlopt.opt
#cat > otherlibs/ocamltk41/site.config.redhat << 'EOF'
#OCAMLLIBDIR=/usr/lib/ocaml
#CPPFLAGS=-I/usr/X11R6/include
#INSTALLDIR=/usr/lib/ocaml/camltk
#EOF
#(cd otherlibs/ocamltk41; ./configure --with-config=site.config.redhat)
#cd otherlibs/ocamltk41
#make all opt

%install
rm -rf $RPM_BUILD_ROOT
echo BINDIR=$RPM_BUILD_ROOT/usr/bin >> config/Makefile
echo LIBDIR=$RPM_BUILD_ROOT/usr/lib/ocaml >> config/Makefile
echo MANDIR=$RPM_BUILD_ROOT/usr/man/man1 >> config/Makefile
make install 
#cd otherlibs/ocamltk41
#make install installopt
mv -f $RPM_BUILD_ROOT/usr/bin/ocamlc $RPM_BUILD_ROOT/usr/bin/ocamlc.byte
mv -f $RPM_BUILD_ROOT/usr/bin/ocamlc.opt $RPM_BUILD_ROOT/usr/bin/ocamlc
mv -f $RPM_BUILD_ROOT/usr/bin/ocamlopt $RPM_BUILD_ROOT/usr/bin/ocamlopt.byte
mv -f $RPM_BUILD_ROOT/usr/bin/ocamlopt.opt $RPM_BUILD_ROOT/usr/bin/ocamlopt
cp {parsing/{location,longident,parsetree},typing/typecore}.{cm,ml}i $RPM_BUILD_ROOT/usr/lib/ocaml
rm -f $RPM_BUILD_ROOT/usr/lib/ocaml/*.ml
(cd emacs; make install EMACSDIR=$RPM_BUILD_ROOT/usr/lib/emacs/site-lisp)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/ocaml
/usr/bin/ocamlc
/usr/bin/ocamlc.byte
/usr/bin/ocamlcp
/usr/bin/ocamldebug
/usr/bin/ocamldep
/usr/bin/ocamllex
/usr/bin/ocamlmktop
/usr/bin/ocamlopt
/usr/bin/ocamlopt.byte
/usr/bin/ocamlprof
/usr/bin/ocamlrun
/usr/bin/ocamlyacc
/usr/lib/ocaml
/usr/man/man1/ocaml.1
/usr/man/man1/ocamlc.1
/usr/man/man1/ocamlcp.1
/usr/man/man1/ocamldep.1
/usr/man/man1/ocamllex.1
/usr/man/man1/ocamlopt.1
/usr/man/man1/ocamlprof.1
/usr/man/man1/ocamlrun.1
/usr/man/man1/ocamlyacc.1
%doc refman.ps.gz htmlman LICENSE Changes README

%files emacs
%defattr(-,root,root)
/usr/lib/emacs/site-lisp/caml-font.el
/usr/lib/emacs/site-lisp/caml-hilit.el
/usr/lib/emacs/site-lisp/caml.el
/usr/lib/emacs/site-lisp/camldebug.el
/usr/lib/emacs/site-lisp/inf-caml.el

%changelog
* Tue Jan 4 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- rebuilt package for 6.1

* Fri Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Dec 29 1998 Alexey Nogin <ayn2@cornell.edu>
- Do not include any /usr/lib/ocaml/*.ml files

